org.gcube.dataanalysis.dataminer.poolmanager.datamodel

## Class Cluster

- java.lang.Object
- - org.gcube.dataanalysis.dataminer.poolmanager.datamodel.Cluster

    public class Cluster
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Cluster()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAlgorithmSet(AlgorithmSet set)`
`void` `addHost(Host host)`
`Collection<AlgorithmSet>` `getAlgorithmSets()`
`String` `getDescription()`
`Collection<Host>` `getHosts()`
`String` `getName()`
`void` `setDescription(String description)`
`void` `setName(String name)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Cluster

    public Cluster()

### Method Detail

#### addAlgorithmSet

    public void addAlgorithmSet(AlgorithmSet set)

#### addHost

    public void addHost(Host host)

#### getHosts

    public Collection<Host> getHosts()

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getDescription

    public String getDescription()

#### setDescription

    public void setDescription(String description)

#### getAlgorithmSets

    public Collection<AlgorithmSet> getAlgorithmSets()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`